Package org.eclipse.m2m.atl.engine.vm

# Class PluginClassLoader

java.lang.Object
java.lang.ClassLoader
java.security.SecureClassLoader
java.net.URLClassLoader
org.eclipse.m2m.atl.engine.vm.PluginClassLoader

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class PluginClassLoader extends URLClassLoader
A basic plugin facillity used in command-line. Eclipse plugins are used within Eclipse.

## Constructor Summary

Constructors
Constructor
Description
`PluginClassLoader(List locations)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addLocation(String location)`

### Methods inherited from class java.net.URLClassLoader

`addURL, close, definePackage, findClass, findResource, findResources, getPermissions, getResourceAsStream, getURLs, newInstance, newInstance`

### Methods inherited from class java.security.SecureClassLoader

`defineClass, defineClass`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, loadClass, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PluginClassLoader

public PluginClassLoader(List locations)

## Method Details

### addLocation

public void addLocation(String location)